/*!******************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js??clonedRuleSet-13.use[2]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[3]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[4]!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./assets/components/MediaLibrary/_DropZone.vue?vue&type=style&index=0&id=77dfaa9d&lang=scss ***!
  \******************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.hx-dropzone {
  position: relative;
  z-index: 2;
  display: grid;
  margin: 0 auto;
  height: 130px;
  font-size: 1.05rem;
  color: var(--neutral-800);
  background: hsl(var(--hsl-neutral-50));
  border: 1px dashed hsla(var(--hsl-primary), 50%);
  border-radius: 9px;
  cursor: pointer;
  /* --------------------------------------------------------------------------
    HOVER
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    ACTIVE (WHILE HOLDING FILES OVER THE ELEMENT)
  -------------------------------------------------------------------------- */
}
.hx-dropzone-instructions {
  place-self: center;
}
.hx-dropzone-instructions i {
  flex-shrink: 0;
  margin-right: 1rem;
  font-size: 2.25rem;
  color: hsl(var(--hsl-primary-darker));
  opacity: 0.35;
}
.hx-dropzone-instructions .or {
  display: inline-block;
  margin-right: 0.5em;
  font-size: 0.9em;
  text-transform: uppercase;
  color: hsla(var(--hsl-neutral-800), 50%);
}
.hx-dropzone-input[type=file]:not(:focus-visible) {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  padding: 0 !important;
  margin: -1px !important;
  overflow: hidden !important;
  clip: rect(0, 0, 0, 0) !important;
  white-space: nowrap !important;
  border: 0 !important;
}
.hx-dropzone:hover, .hx-dropzone:focus, .hx-dropzone[data-active] {
  border-color: hsl(var(--hsl-primary-darker));
  border-width: 2px;
}
.hx-dropzone:hover .hx-dropzone-instructions i, .hx-dropzone:focus .hx-dropzone-instructions i, .hx-dropzone[data-active] .hx-dropzone-instructions i {
  opacity: 1;
}
.hx-dropzone[data-active] {
  box-shadow: var(--elevation-6);
}
/*!******************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js??clonedRuleSet-13.use[2]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[3]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[4]!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./assets/components/MediaLibrary/_FileList.vue?vue&type=style&index=0&id=2d11581c&lang=scss ***!
  \******************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.hx-file-list {
  --thumb-size: 140px;
  --file-gap: .25rem;
  position: relative;
  z-index: 1;
}
.hx-file-list.-uploadQueue {
  margin: -9px 0 0 0;
  padding: calc(9px + var(--spacing-content-x)) var(--spacing-content-x) var(--spacing-content-x);
  background: repeating-linear-gradient(45deg, hsla(var(--hsl-primary), 0.05), hsla(var(--hsl-primary), 0.05) 5px, hsla(var(--hsl-primary), 0.1) 5px, hsla(var(--hsl-primary), 0.1) 10px);
  border: 1px dashed hsla(var(--hsl-primary), 50%);
  border-top-width: 0;
  border-radius: 9px;
}
.hx-file-list-header {
  display: flex;
  margin-bottom: var(--spacing-content-y);
  align-items: center;
  justify-content: space-between;
}
.hx-file-list-body ul {
  container: file-list/inline-size;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(calc(var(--thumb-size) * var(--zoom-multiplier)), 1fr));
  margin: 0 calc(-1 * var(--file-gap));
  list-style: none !important;
}
.hx-file-list-body-blank {
  background: red;
}
.hx-file-list-footer {
  display: flex;
  margin-top: var(--spacing-content-y);
}

/* --------------------------------------------------------------------------
  TRANSITIONS
-------------------------------------------------------------------------- */
.file-move {
  transition: all 220ms ease;
}
.file-enter-active {
  transition: all 220ms ease-out;
}
.file-leave-active {
  transition: all 180ms ease-in;
}
.file-enter-from {
  opacity: 0;
  transform: translateY(-40%) scale(0.25);
}
.file-leave-to {
  opacity: 0;
  transform: rotateZ(20deg) scale(0.5);
}
.file-leave-active > * {
  position: absolute;
}
/*!*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js??clonedRuleSet-13.use[2]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[3]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[4]!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./assets/components/MediaLibrary/_FilePreview.vue?vue&type=style&index=0&id=479aacba&lang=scss ***!
  \*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.hx-file-preview {
  z-index: 1;
  margin: 0;
  padding: var(--file-gap);
  position: relative;
  aspect-ratio: 1.05/1;
  border-radius: 3px;
  box-shadow: var(--elevation-0);
  transition: transform 60ms ease, outline 60ms ease, box-shadow 60ms ease;
}
.hx-file-preview.-compact {
  --meta-height: 2.35rem;
}
.hx-file-preview-inner {
  position: relative;
  height: 100%;
  padding-bottom: var(--meta-height);
  outline: 0px solid black;
  overflow: hidden;
}
.hx-file-preview-thumb {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
  background: repeating-linear-gradient(45deg, hsla(var(--hsl-neutral-300), 0.16), hsla(var(--hsl-neutral-300), 0.16) 5px, hsla(var(--hsl-neutral-300), 0.22) 5px, hsla(var(--hsl-neutral-300), 0.22) 10px), rgba(var(--dominant-rgb), 0.65);
  overflow: hidden;
}
.hx-file-preview-thumb img {
  position: relative;
  z-index: 2;
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
  transition: transform 100ms ease;
}
.hx-file-preview-thumb .bg {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: scale(1.5);
  object-fit: cover;
  filter: blur(12px);
  opacity: 0.75;
}
.hx-file-preview-meta {
  position: absolute;
  z-index: 3;
  left: 0;
  bottom: 0;
  width: 100%;
  height: var(--meta-height);
  padding: 0.125em 0 0;
  font-size: 0.95rem;
  line-height: 1.15;
  color: var(--neutral-800);
  white-space: nowrap;
  overflow: hidden;
  transition: padding 80ms ease;
}
.hx-file-preview-meta-bottom {
  font-size: 0.94em;
  color: var(--neutral-600);
}
.hx-file-preview-meta.-uploading .hx-file-preview-meta-bottom {
  font-weight: 600;
  color: hsl(var(--hsl-primary-darker));
}
.hx-file-preview-meta.-success .hx-file-preview-meta-bottom {
  font-weight: 600;
  color: hsl(var(--hsl-success-dark));
}
.hx-file-preview-meta.-success .hx-file-preview-meta-bottom i {
  margin-top: -0.15em;
  margin-right: 0.15em;
  margin-bottom: -0.15em;
  font-size: 1.3em;
}
.hx-file-preview-meta.-error .hx-file-preview-meta-bottom {
  font-weight: 600;
  color: hsl(var(--hsl-danger));
}
.hx-file-preview-meta.-error .hx-file-preview-meta-bottom i {
  margin-right: 0.25em;
  margin-bottom: -1px;
}
.hx-file-preview-close {
  position: absolute;
  z-index: 3;
  top: 0;
  right: 0;
  width: 30px !important;
  height: 30px !important;
  border-radius: 0 0 0 6px;
}
.hx-file-preview:hover, .hx-file-preview:focus {
  z-index: 2;
  box-shadow: var(--elevation-5);
  outline: 4px solid var(--primary);
  transform: translateY(-2px);
}
.hx-file-preview {
  width: 100%;
}
@keyframes pulse {
0% {
    background: #fff;
}
50% {
    background: #ddd;
}
100% {
    background: #fff;
}
}
/*!********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js??clonedRuleSet-13.use[2]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[3]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[4]!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./assets/components/MediaLibrary/_FileViewer.vue?vue&type=style&index=0&id=06de9e10&lang=scss ***!
  \********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.hx-file-viewer {
  position: fixed;
  z-index: 500;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  background: rgba(0, 0, 0, 0.65);
  backdrop-filter: blur(20px);
  display: flex;
  flex-direction: column;
  /* --------------------------------------------------------------------------
    HEADER
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    BODY
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    STATE: OPEN
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    STATE: LOADED
  -------------------------------------------------------------------------- */
}
.hx-file-viewer-head {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  color: white;
}
.hx-file-viewer-head-meta {
  padding: 0.75em 1em 0;
  line-break: anywhere;
}
.hx-file-viewer-close > span {
  color: white;
  width: 3rem;
  height: 3rem;
}
.hx-file-viewer-body {
  flex-grow: 1;
  display: grid;
}
.hx-file-viewer-body > * {
  place-self: center;
}
.hx-file-viewer-body-img {
  position: relative;
  z-index: 2;
  max-width: 98%;
  max-height: 98vh;
  pointer-events: none;
  position: absolute;
  opacity: 0;
  transform: translateY(1%) scale(0.97);
  transition: transform 300ms ease-out;
}
.hx-file-viewer-body-img-thumb {
  position: absolute;
  z-index: 1;
}
.hx-file-viewer-body-icon {
  font-size: 12rem;
  color: rgba(255, 255, 255, 0.75);
}
.hx-file-viewer.-loaded .hx-file-viewer-body-img {
  transform: translateY(0) scale(1);
  pointer-events: all;
  position: static;
  opacity: 1;
}
/*!*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js??clonedRuleSet-13.use[2]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[3]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[4]!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./assets/components/MediaLibrary/MediaBrowser.vue?vue&type=style&index=0&id=1809ef31&lang=scss ***!
  \*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.hx-media-browser {
  margin: 0;
  padding: 0;
}
/*!*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js??clonedRuleSet-13.use[2]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[3]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[4]!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./assets/components/MediaLibrary/MediaLibrary.vue?vue&type=style&index=0&id=21e5e744&lang=scss ***!
  \*********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.hx-media-library {
  padding: 0;
}
.hx-media-library .pageHead-title {
  margin-top: calc(2 * var(--spacing-content-y));
  margin-bottom: calc(var(--spacing-content-y) / 2);
}
/*!*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js??clonedRuleSet-13.use[2]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[3]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[4]!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./assets/components/MediaLibrary/Uploader.vue?vue&type=style&index=0&id=c12f1f0a&scoped=true&lang=scss ***!
  \*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.hx-uploader.-disabled[data-v-c12f1f0a] {
  pointer-events: none;
  opacity: 0.5;
}
